#!/bin/csh

set resdir = /ur/julial/GECKO/GIT_COPY/GECKO-A/BOXMOD_RUNS
set ftpdir = /ftp/user/julial/for_Zhe

set part1 = isoprene_OFR_allbrch_OHR_OFR185_isop
set part2 = 200403_dtmin_tlen_pt001

foreach case ( LHL HHV HLL MML HHL)

# construct output run name
  set runname = $part1'_'$case'_'$part2
# create ascii file from netcdf output
  ./run_extractor_local.bash -r $runname
# send ascii file to ftp
  cp $resdir/$runname'/post.ascii' $ftpdir'/'$runname'.ascii'

end
