#!/bin/csh

set part1 = GasnoNOx_allbrch
set part2 = ch
set part3 = nowall_7-30d_200421

set flagfile = ncplot_input_module.f90.setD
#ln -s INPUTS/$flagfile INPUTS/plot_input_module.f90

set link_reqd = no

set resdir = /ur/julial/PEOPLE/Zhe
set lnkdir = /ur/julial/GECKO/GIT_COPY/GECKO-A/BOXMOD_RUNS
set ftpdir = /ftp/user/julial/for_Zhe

foreach species ( mxyl isoprene )# decane)
  if ( $species == 'decane' ) then
    set abb = dec
  endif  
  if ( $species == 'isoprene' ) then
    set abb = isop
  endif  
  if ( $species == 'mxyl' ) then
    set abb = mxyl
  endif  

  foreach case ( hohr ) 

    set runname = $species'_'$part1'_'$abb'_'$part2'_'$case'_'$part3
    if ( $link_reqd == yes )  then
      ln -s $resdir/$runname $lnkdir/$runname
    endif

    ./run_extractor_local.bash -r $runname -f $flagfile

    if ( $link_reqd == yes )  then
      cp $resdir/$runname'/post.ascii' $ftpdir'/'$runname'.ascii'
    else
      cp $lnkdir/$runname'/post.ascii' $ftpdir'/'$runname'.ascii'
    endif
  end
end
