#!/bin/csh

set part1 = OFR_200512_OHR_OFR185_ohv
set part2 = 200520

set flagfile = ncplot_input_module.f90.setF

set link_reqd = no

set resdir = /ur/julial/PEOPLE/Zhe
set lnkdir = /ur/julial/GECKO/GIT_COPY/GECKO-A/BOXMOD_RUNS
set ftpdir = /ftp/user/julial/for_Zhe

foreach species (isop )# mxyl isoprene decane )
  if ( $species == 'decane' ) then
    set abb = dec
    set part2 = 200429
    set part3 = ''
  endif  
  #if ( $species == 'isoprene' ) then
  if ( $species == 'isop' ) then
    set abb = isop
    #set part3 = _dtmin_tlen_pt001
    set part3 = ''
  endif  
  if ( $species == 'mxyl' ) then
    set abb = mxyl
    set part3 = ''
  endif  

  foreach case ( MML ) #( HHL LHL HLL HHV MML)

    set runname = $species'_'$part1'_'$abb'_'$case'_'$part2$part3
    echo $runname
    if ( $link_reqd == yes )  then
      ln -s $resdir/$runname $lnkdir/$runname
    endif

    ./run_extractor_local.bash -r $runname -f $flagfile

    if ( $link_reqd == yes )  then
      cp $resdir/$runname'/post.ascii' $ftpdir'/'$runname'.ascii'
    else
      cp $lnkdir/$runname'/post.ascii' $ftpdir'/'$runname'.ascii'
    endif
  end
end
