#!/bin/csh

set part1 = amb_200519
set part2 = amb
set part3 = 10d_200520

set flagfile = ncplot_input_module.f90.setAB
#ln -s INPUTS/$flagfile INPUTS/plot_input_module.f90

set link_reqd = no

set resdir = /ur/julial/PEOPLE/Zhe
set lnkdir = /ur/julial/GECKO/GIT_COPY/GECKO-A/BOXMOD_RUNS
set ftpdir = /ftp/user/julial/for_Zhe

foreach runname ( butane_GasnoNOx_allbrch_but_amb_constuv_10d  decane_GasnoNOx_allbrch_dec_amb_constuv_2-10d_200424  decane_GasnoNOx_allbrch_dec_amb_pphouv_10d_200420  heptane_GasnoNOx_allbrch_hept_amb_constuv_10d  isoprene_GasnoNOx_allbrch_isop_amb_constuv_10d_200420  isoprene_GasnoNOx_allbrch_isop_amb_pphouv_10d_200420  mxyl_amb_200519_mxyl_amb_constuv_10d_200520  mxyl_GasnoNOx_allbrch_mxyl_amb_constuv_10d_200501  mxyl_GasnoNOx_allbrch_mxyl_amb_pphouv_10d_200501 )

    if ( $link_reqd == yes )  then
      ln -s $resdir/$runname $lnkdir/$runname
    endif

    ./run_extractor_local.bash -r $runname -f $flagfile

    if ( $link_reqd == yes )  then
      cp $resdir/$runname'/post.ascii' $ftpdir'/'$runname'.ascii'
    else
      cp $lnkdir/$runname'/post.ascii' $ftpdir'/'$runname'.ascii'
    endif
end
